For the complete documentation index, see llms.txt.

Rates
POST/api/rates

Get Rates

Get a quote for a shipment

View as MarkdownCopy for LLM

Rates

Request checkout rates and delivery services from courier accounts configured in Starshipit.

3 related endpoints

Endpoint

Endpoint URL

https://api.starshipit.com/api/rates

Details

Get a quote for a shipment

Get Rates Request

Parameter Type Description
sender object (nullable) Sender address details (Rate Sender Address Model) Pickup Address details from the Settings are used if this parameter is not included in the request.
destination object Shipping address details (Rate Destination Address Model)
packages object list A list of packages with weight and dimensions (Rate Package Model)
currency string Currency code for the order value (max length: 3) e.g. AUD

Get Rates Response

Attribute Type Description
rates object list A list of available shipping rates (Rate Model)
success boolean Determines whether the request was successfully submitted
errors object list List of detailed errors (Error Model)

Rate Sender Address Model

Attribute Type Description
street string Street number and name of the sender address
suburb string Suburb of the sender address
city string City of the sender address
state string State, regional, provincial or county name of the sender address
post_code string Postal or zip code of the sender address
country_code string The country code of the sender address

Rate Destination Address Model

Attribute Type Description
street string Street number and name of the delivery address
suburb string Suburb of the delivery address
city string City of the delivery address
state string State, regional, provincial or county name of the delivery address
post_code string Postal or zip code of the delivery address
country_code string The country code of the delivery address

Rate Package Model

Attribute Type Description
weight double Physical weight of the parcel in kilograms (kg)
height double (nullable) Height of the parcel in meters (m)
width double (nullable) Width of the parcel in meters (m)
length double (nullable) Length of the parcel in meters (m)

Rate Model

Attribute Type Description
service_name string Description of the carrier service
service_code string Carrier service/product code
total_price number Price of service

Request body

{
  "sender": {
    "street": "184 Exhibition Street",
    "suburb": "Melbourne",
    "city": "Melbourne",
    "state": "VIC",
    "post_code": "3000",
    "country_code": "AU"
  },
  "destination": {
    "street": "20 Liverpool Street",
    "suburb": "Paddington",
    "city": "Sydney",
    "state": "NSW",
    "post_code": "2021",
    "country_code": "AU"
  },
  "packages": [
    {
      "weight": 0.1
    }
  ]
}

Response examples

Get Rates with sender address specified
{
  "rates": [
    {
      "service_name": "PARCEL POST + SIGNATURE",
      "service_code": "7B05",
      "total_price": 12.05
    },
    {
      "service_name": "EXPRESS POST + SIGNATURE",
      "service_code": "7B05",
      "total_price": 14.65
    }
  ],
  "success": true
}
Get Rates with default sender address (200)
{
  "rates": [
    {
      "service_name": "PARCEL POST + SIGNATURE",
      "service_code": "7B05",
      "total_price": 10.15
    },
    {
      "service_name": "EXPRESS POST + SIGNATURE",
      "service_code": "7B05",
      "total_price": 12.85
    }
  ],
  "success": true
}

Related endpoints